## python-scipy 0.18.1

=== debian/changelog ===
python-scipy (0.18.1-2) unstable; urgency=medium

  * fix dbg package import (Closes: #840264)
  * add dbg package import adt tests

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Fri, 21 Oct 2016 16:10:57 +0200

python-scipy (0.18.1-1) unstable; urgency=medium

  [ Julian Taylor ]
  * New upstream bugfix release

  [ Sebastian Humenda ]
  * make the build-indep target execute the build target to allow the usage of
    the module for generating the documentation (Closes: #806867)

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 25 Sep 2016 11:25:21 +0200

python-scipy (0.18.0-1) unstable; urgency=medium

  * New upstream release
  * add python-setuptools to build depends

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 30 Jul 2016 19:05:17 +0200
