## python-scipy 0.19.1

=== debian/changelog ===
python-scipy (0.19.1-2ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Bump test_orthogonal.test_j_roots tolerance (LP: #1717767)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 11 Jan 2018 15:38:43 +0100

python-scipy (0.19.1-2) unstable; urgency=medium

  * Replace python-imaging recomments with python-pil (Closes: #866468)
  * build documentation with python3-sphinx
  * Fix atlas and openblas tests for openblas and atlas multiarch locations
    Thanks to Matthias Klose for the patch (Closes: #876007)
  * Depend on python-all-dbg for autopkgtests
    Thanks to Michael Hudson-Doyle for the patch (Closes: #864699)
  * bump standard to 4.1.3
    - debian/control: replace priority extra with optional

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 07 Jan 2018 14:38:57 +0100

python-scipy (0.19.1-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Bump test_orthogonal.test_j_roots tolerance (LP: #1717767)
    - Fix atlas and openblas tests for openblas and atlas multiarch
      locations.
    - d/tests/control: Add python3-all-dbg to dependencies of python3-smoke test. 

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 01 Nov 2017 09:14:24 +0100

python-scipy (0.19.1-1) unstable; urgency=medium

  * New upstream release
  * weave has been removed, drop its patch blitz++.patch
  * drop cap-ld-precision.patch, fixed in numpy

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Wed, 06 Sep 2017 18:07:38 +0200

python-scipy (0.18.1-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * No-change rebuild to build without _PyFPE symbols.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Sep 2017 16:36:34 +0200

python-scipy (0.18.1-2ubuntu5) artful; urgency=medium

  * Bump test_orthogonal.test_j_roots tolerance (LP: #1717767)

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 17 Sep 2017 12:15:46 +0000

python-scipy (0.18.1-2ubuntu4) artful; urgency=medium

  * Fix atlas and openblas tests for openblas and atlas multiarch
    locations.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Sep 2017 08:07:12 +0200

python-scipy (0.18.1-2ubuntu3) artful; urgency=medium

  * No-change rebuild to drop _PyFPE support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Sep 2017 08:23:23 +0000

python-scipy (0.18.1-2ubuntu2) artful; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Aug 2017 18:12:26 +0000

python-scipy (0.18.1-2ubuntu1) artful; urgency=medium

  * d/tests/control: Add python3-all-dbg to dependencies of python3-smoke test. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 13 Jun 2017 12:31:02 +1200

python-scipy (0.18.1-2build1) artful; urgency=medium

  * No change rebuild to add Python 3.6 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 07 Jun 2017 16:24:46 -0700
