=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: python-scipy
 Section: python
-Priority: extra
+Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Alexandre Fayolle <afayolle@debian.org>,
            Ondrej Certik <ondrej@certik.cz>,
@@ -34,14 +34,14 @@
                      python-matplotlib,
                      python-numpy-doc,
                      python-numpydoc,
-                     python-sphinx,
+                     python3-sphinx,
                      rdfind,
                      symlinks,
                      texlive-latex-base,
                      texlive-latex-extra
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.1
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: http://www.scipy.org/
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-scipy.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-scipy.git
@@ -53,7 +53,7 @@
          ${python:Depends},
          ${shlibs:Depends}
 Provides: ${python:Provides}
-Recommends: g++ | c++-compiler, python-dev, python-imaging
+Recommends: g++ | c++-compiler, python-dev, python-pil
 Suggests: python-scipy-doc
 Description: scientific tools for Python
  SciPy supplements the popular NumPy module (python-numpy package), gathering a
@@ -73,7 +73,7 @@
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Recommends: g++ | c++-compiler
+Recommends: g++ | c++-compiler, python3-pil
 Suggests: python-scipy-doc
 Description: scientific tools for Python 3
  SciPy supplements the popular NumPy module (python-numpy package), gathering a
