=== debian/rules ===
--- 
+++ 
@@ -44,7 +44,7 @@
 
 build-indep: build-arch
 	# generate documentation (see comment below) needs compiled scipy
-	(export MPLCONFIGDIR=. ; make -C doc html PYTHONPATH=../$(PYLIBPATH))
+	(export MPLCONFIGDIR=. ; make -C doc html PYTHONPATH=../$(PYLIBPATH) PYVER=3)
 
 override_dh_auto_build: $(PY2VERS:%=build-python%) $(PY3VERS:%=build-python%)
