=== debian/changelog ===
python-scipy (1.1.0-7) unstable; urgency=medium

  * Team upload.
  * Patch fix_test_optim_canonical~onstraint_2d7e7e8c.patch applies
    upstream patch 2d7e7e8 to fix occasional random failures in
    test_canonical_constraint.test_concatenation.

 -- Drew Parsons <dparsons@debian.org>  Fri, 12 Apr 2019 00:46:35 +0800

python-scipy (1.1.0-6) unstable; urgency=medium

  * Team upload.
  * skip sparsetools.TestInt32Overflow matvec tests on python3 also.

 -- Drew Parsons <dparsons@debian.org>  Thu, 11 Apr 2019 09:38:17 +0800

python-scipy (1.1.0-5) unstable; urgency=medium

  * Team upload.
  * Skip sparsetools.TestInt32Overflow matvec tests on python2
    (MemoryError). Closes: #919929.

 -- Drew Parsons <dparsons@debian.org>  Wed, 10 Apr 2019 16:41:47 +0800

python-scipy (1.1.0-4) unstable; urgency=medium

  * Team upload.
  * Replace patch ignore_DeprecationWarning_diff1.2.patch with
      matrix_API_614847c5.patch
      matrix_API_filter_check_87e48c3c5.patch
      matrix_API_more_e0cfa29e2.patch
    adapting the indicated upstream commits to scipy 1.1.0
    (use numpy.matmul instead of @ for matrix multiplication, since @
    is not available in python2)
    Removes sources of matrix DeprecationWarnings.
    Addresses: Bug#919929.

 -- Drew Parsons <dparsons@debian.org>  Thu, 14 Mar 2019 14:12:00 +0800

python-scipy (1.1.0-3) unstable; urgency=medium

  * Team upload.
  * Debian patch ignore_DeprecationWarning_diff1.2.patch applies diff
    of pytest.ini between scipy 1.1 and 1.2 to ignore
    DeprecationWarnings from numpy 1.16. Addresses Bug#919929.
  * Use default gfortran-8 on s390x. unroll-loops was fixed in
    gcc-8 8.2.0-18. Closes: #906198, #915738.

 -- Drew Parsons <dparsons@debian.org>  Fri, 08 Mar 2019 00:31:29 +0800

python-scipy (1.1.0-2) unstable; urgency=medium

  * Team upload.
  * Remove Alexandre Fayolle from the Uploaders list.  Thanks for your
    previous contributions!  Closes: #833329
  * Use gfortran-7 on s390x to work around a regression causing the imexam
    test suite to fail when scipy is built with gfortran 8.  Addresses: #906198
  * Add some Multi-Arch markers suggested by the m-a hinter.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 04 Nov 2018 19:01:19 +0100

python-scipy (1.1.0-1) unstable; urgency=medium

  [ Julian Taylor ]
  *  New upstream release
     Closes: #896060, #901380, #896635
  * update to debian/compat 9 and standard 4.1.4

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 01 Jul 2018 14:34:28 +0200
