=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Alexandre Fayolle <afayolle@debian.org>,
-           Ondrej Certik <ondrej@certik.cz>,
+Uploaders: Ondrej Certik <ondrej@certik.cz>,
            David Cournapeau <cournape@gmail.com>,
            Varun Hiremath <varun@debian.org>
-Build-Depends: cython (>= 0.22),
-               debhelper (>= 8.9.7~),
+Build-Depends: cython3 (>= 0.22),
+               debhelper (>= 9~),
                dh-python,
                gfortran,
                libblas-dev,
@@ -17,34 +16,33 @@
                python-all-dev (>= 2.6.6-3~),
                python-decorator,
                python-mako,
-               python-nose,
                python-numpy (>= 1:1.5.1),
                python-numpy-dbg (>= 1:1.5.1),
+               python-pytest,
                python-setuptools,
                python3-all-dbg,
                python3-all-dev,
                python3-decorator,
-               python3-nose,
                python3-numpy (>= 1:1.7.2),
                python3-numpy-dbg,
+               python3-pytest,
                python3-setuptools
 Build-Depends-Indep: dvipng,
-                     python-doc,
-                     python-docutils,
-                     python-matplotlib,
+                     python-matplotlib-doc,
                      python-numpy-doc,
-                     python-numpydoc,
+                     python3-doc,
+                     python3-docutils,
+                     python3-matplotlib,
+                     python3-numpydoc,
                      python3-sphinx,
                      rdfind,
                      symlinks,
                      texlive-latex-base,
                      texlive-latex-extra
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.1
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: http://www.scipy.org/
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-scipy.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-scipy.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-scipy.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-scipy
 
 Package: python-scipy
 Architecture: any
@@ -91,6 +89,7 @@
 Package: python-scipy-dbg
 Section: debug
 Architecture: any
+Multi-Arch: same
 Depends: python-dbg,
          python-numpy-dbg (>= 1:1.5.1),
          python-scipy (= ${binary:Version}),
@@ -113,6 +112,7 @@
 Package: python3-scipy-dbg
 Section: debug
 Architecture: any
+Multi-Arch: same
 Depends: python3-dbg,
          python3-numpy-dbg (>= 1:1.7.2),
          python3-scipy (= ${binary:Version}),
@@ -140,6 +140,7 @@
          ${sphinxdoc:Depends}
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Description: scientific library for Python - documentation
  SciPy supplements the popular NumPy module (python-numpy package), gathering a
  variety of high level science and engineering modules together as a single
