=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,17 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/architecture.mk
 
 unexport LDFLAGS
 export FFLAGS="-fPIC"
 export ATLAS=None
+export PATH := $(CURDIR)/debian/extra_bin:$(PATH)
 
 PY2VERS:= $(shell pyversions -v -r debian/control)
 PY3VERS:= $(shell py3versions -v -r debian/control)
 TMPDIR := $(CURDIR)/build/tmp
 BASE=$(shell pwd)/debian
-DVER=$(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ' | sed 's/-[^-]*$$//')
-UVER=$(shell echo $(DVER) | sed "s/+dfsg.*//g")
-PYLIBPATH := $(shell python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print b.build_platlib")
+PYLIBPATH := $(shell python3 -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print(b.build_platlib)")
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
   export NPY_NUM_BUILD_JOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -25,12 +26,14 @@
 	rm -rf build
 	-rm -rf doc/source/fontList.cache
 	-rm -rf doc/build
+	-rm -rf debian/extra_bin
 	find . -name "*.pyc" -exec rm {} \;
 	dh_clean
 
 override_dh_auto_configure:
-	cd scipy/special && python generate_ufuncs.py
-	# cython and swig done by setup.py
+	rm -f cythonize.dat
+	touch scipy/linalg/_generate_pyx.py scipy/special/_generate_pyx.py
+	python3 tools/cythonize.py
 
 build-python%:
 	python$* setup.py config_fc --noarch build;
@@ -40,7 +43,7 @@
 build: build-arch build-indep
 
 build-arch:
-	dh build --with=python2,python3
+	dh build-arch --with=python2,python3
 
 build-indep: build-arch
 	# generate documentation (see comment below) needs compiled scipy
@@ -111,9 +114,6 @@
 	#replace all the usr/bin/env python
 	find $(BASE)/python3-scipy/usr/lib/python3/ -name "*.py" -type f | xargs sed -i -e "1s#usr/bin/env\s\+python\s*\$$#usr/bin/env python3#"
 
-	# .Mat files should not be executable
-	find $(BASE)/python*-scipy/usr/lib/python*/dist-packages/scipy/io/matlab/tests/data/ -executable -type f | xargs chmod -x
-
 override_dh_strip:
 	dh_strip -ppython-scipy --dbg-package=python-scipy-dbg
 	dh_strip -ppython3-scipy --dbg-package=python3-scipy-dbg
@@ -127,11 +127,7 @@
 	rm -rf debian/python-scipy-doc/usr/share/doc/python-scipy-doc/html/_static/underscore.js
 	dh_link -ppython-scipy-doc /usr/share/javascript/underscore/underscore.js /usr/share/doc/python-scipy-doc/html/_static/underscore.js
 
-	dh_link -ppython-scipy-doc /usr/share/javascript/mathjax/MathJax.js /usr/share/doc/python-scipy-doc/html/_static/MathJax.js
-	dh_sphinxdoc -i
+	dh_sphinxdoc -i -XMathJax.js
+	find debian/python-scipy-doc/ -name scipy-mathjax | xargs rm -rf
 	rdfind -outputname /dev/null -makesymlinks true -removeidentinode false debian/python-scipy-doc
 	symlinks -r -s -c debian/python-scipy-doc
-
-get-orig-source:
-	-uscan --force-download --download-version $(UVER) --rename
-
