=== debian/tests/control ===
Tests: python2
Depends: build-essential, python-scipy, python-pytest, python-all, python-all-dev, python-mpmath, python-gmpy2, python-pil

Tests: python3
Depends: build-essential, python3-scipy, python3-pytest, python3-all, python3-all-dev, python3-pil

# short test on all python versions including debug
Tests: python2-smoke
Depends: python-scipy, python-scipy-dbg, python-pytest, python-all, python-all-dbg

# short test on all python versions including debug
Tests: python3-smoke
Depends: python3-scipy, python3-scipy-dbg, python3-pytest, python3-all, python3-all-dbg

#needs root for update-alternatives, build-essential for libc6-dev (ctype libm.so)
Tests: openblas
Restrictions: needs-root
Depends: build-essential, python-scipy, python-pytest, python, libopenblas-base

#needs root for update-alternatives, build-essential for libc6-dev (ctype libm.so)
Tests: atlas
Restrictions: needs-root
Depends: build-essential, python-scipy, python-pytest, python, libatlas3-base
