## python-scipy 1.2.1

=== debian/changelog ===
python-scipy (1.2.1-0ubuntu3) disco; urgency=medium

  * Fix skipping TestPlotting failures

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 20 Mar 2019 16:36:30 +0000

python-scipy (1.2.1-0ubuntu2) disco; urgency=medium

  * Use gfortran-8 on s390x again (Closes: #906198, #915738)
  * Skip TestPlotting failures with Matplotlib >= 3.0.0

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 19 Mar 2019 21:26:08 +0000

python-scipy (1.2.1-0ubuntu1) disco; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Feb 2019 09:47:07 +0100

python-scipy (1.2.0-1) experimental; urgency=medium

  * New upstream release

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Tue, 15 Jan 2019 12:27:45 +0100
