=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,6 @@
 unexport LDFLAGS
 export FFLAGS="-fPIC"
 export ATLAS=None
-export PATH := $(CURDIR)/debian/extra_bin:$(PATH)
 
 PY2VERS:= $(shell pyversions -v -r debian/control)
 PY3VERS:= $(shell py3versions -v -r debian/control)
@@ -26,7 +25,6 @@
 	rm -rf build
 	-rm -rf doc/source/fontList.cache
 	-rm -rf doc/build
-	-rm -rf debian/extra_bin
 	find . -name "*.pyc" -exec rm {} \;
 	dh_clean
