## python-scipy 1.2.2

=== debian/changelog ===
python-scipy (1.2.2-4) unstable; urgency=medium

  * Team upload.
  * debian patch Use-system-LBFGSB.patch:
    run test_minimize_l_bfgs_maxls with rtol=1e-5

 -- Drew Parsons <dparsons@debian.org>  Tue, 30 Jul 2019 09:28:55 +0800

python-scipy (1.2.2-3) unstable; urgency=medium

  * Team upload.
  * run build-time tests over all versions of python3
  * Build-Depends: liblbfgsb-dev and add Debian patch
    Use-system-LBFGSB.patch to use the system L-BFGS-B library (which
    uses LAPACK rather than the scipy-bundled LINPACK)
    Enables test_minimize_l_bfgs_maxls in scipy.optimize to succeed.
    Thanks Gard Spreemann. Closes: #778635.

 -- Drew Parsons <dparsons@debian.org>  Tue, 30 Jul 2019 00:26:20 +0800

python-scipy (1.2.2-2) unstable; urgency=medium

  * Team upload.
  * debhelper compatibility level 12
    - run configure build step through pybuild to get consistent
      build directories
    - set PYLIBPATH to pybuild build directory
  * debian/rules: use AUTOPKGTEST_TMP instead of ADTTMP to run tests
  * v1.2.2 fixes indexing in fftpack. Closes: #924396.
  * drop ignore_DeprecationWarning_diff1.2.patch (already applied in
    scipy 1.2)
  * Register docs with doc-base. Closes: #846253.
  * debian/tests/python3: skip tests of
    scipy.spatial.tests.test__plotutils.TestPlotting
    (see https://github.com/scipy/scipy/issues/9946)

 -- Drew Parsons <dparsons@debian.org>  Mon, 29 Jul 2019 18:43:34 +0800

python-scipy (1.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * configure debian/watch to grab tar.xz rather than tar.gz
    (for smaller tarballs)
  * debian/rules: build with dh --buildsystem=pybuild
  * Standards-Version: 4.4.0

 -- Drew Parsons <dparsons@debian.org>  Fri, 26 Jul 2019 15:22:36 +0800

python-scipy (1.2.1-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Thu, 28 Feb 2019 11:16:38 +0800
