=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: python-scipy
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Ondrej Certik <ondrej@certik.cz>,
            David Cournapeau <cournape@gmail.com>,
            Varun Hiremath <varun@debian.org>
 Build-Depends: cython3 (>= 0.22),
-               debhelper (>= 9~),
+               debhelper-compat (= 12),
                dh-python,
                gfortran,
                libblas-dev,
                liblapack-dev,
+               liblbfgsb-dev,
                libsuitesparse-dev (>= 3.1.0-3),
                python-all-dbg,
                python-all-dev (>= 2.6.6-3~),
@@ -40,7 +40,7 @@
                      symlinks,
                      texlive-latex-base,
                      texlive-latex-extra
-Standards-Version: 4.1.4
+Standards-Version: 4.4.0
 Homepage: http://www.scipy.org/
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-scipy.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-scipy
